%define major 6
%define libxdmcp %mklibname xdmcp %{major}
%define devxdmcp %mklibname xdmcp -d

Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.4
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.xz

BuildRequires: pkgconfig(libbsd)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Shared library of %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library.

%files -n %{libxdmcp}
%{_libdir}/libXdmcp.so.%{major}
%{_libdir}/libXdmcp.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}-%{release}
Provides: libxdmcp-devel = %{version}-%{release}
Obsoletes: %{_lib}xdmcp6-devel < 1.1.1-4
Obsoletes: %{_lib}xdmcp6-static-devel < 1.1.1-4

%description -n %{devxdmcp}
Development files for %{name}

%files -n %{devxdmcp}
%{_datadir}/doc/libXdmcp/xdmcp.xml
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--without-xmlto \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.1.4-1.mga9
+ Revision: 1919929
- 1.1.4

* Tue Mar 15 2022 umeabot <umeabot> 1.1.3-3.mga9
+ Revision: 1793276
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1523962
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Mar 17 2019 luigiwalser <luigiwalser> 1.1.3-1.mga7
+ Revision: 1378315
- 1.1.3

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-6.mga7
+ Revision: 1299242
- Mageia 7 Mass Rebuild

* Wed Mar 01 2017 tv <tv> 1.1.2-5.mga6
+ Revision: 1088369
- use libbsd for randoms (CVE-2017-2625, mga#20377)

* Fri Feb 12 2016 umeabot <umeabot> 1.1.2-4.mga6
+ Revision: 956000
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 blino <blino> 1.1.2-3.mga6
+ Revision: 887697
- explicitely disable xmlto docs (otherwise build fails if doc tools are availble on build host)

* Fri Aug 21 2015 tmb <tmb> 1.1.2-2.mga6
+ Revision: 867775
- rebuild for new gcc

* Sun Jun 21 2015 tv <tv> 1.1.2-1.mga6
+ Revision: 837523
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 743476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 681874
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 532717
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.1-4.mga4
+ Revision: 469449
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop .la files
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.1-3.mga3
+ Revision: 397154
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 358544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.1-1.mga2
+ Revision: 222238
- new release
+ anssi <anssi>
- fix summary and description of library package

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 6633
- imported package libxdmcp


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 590581
- adjust filelist
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2010.1
+ Revision: 520964
- rebuilt for 2010.1

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 448645
- new release
- drop visibility patch

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-7mdv2010.0
+ Revision: 425884
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-6mdv2009.0
+ Revision: 264972
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-5mdv2009.0
+ Revision: 214366
- Rebuild to match changes in xtrans.
- Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-4mdv2008.1
+ Revision: 151455
- Update BuildRequires and rebuild.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2008.1
+ Revision: 150851
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - This is a "noop" patch. But it can be considered a list of the functions,
      code from X Server uses from libXdmcp, at a later stage, this library can be
      changed to make available only the public symbols.


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 121697
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

